<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array();




interface WritableConfig extends Config
{
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function set(string $key, $value) : void;
    
    
    
    
    
    
    
    
    
    
    
    public function setMany(array $values) : void;
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function delete(string $key) : void;
    
    
    
    
    
    
    
    
    public function save() : void;
    
    
    
    
    
    
    
    
    
    public function canSet(string $key) : bool;
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function offsetSet($offset, $value) : void;
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function offsetUnset($offset) : void;
}